; m4 macro definitions for functions in Mathomatic.
define(`sqrt', `(($1)^.5)'); square root
define(`exp', `(e^($1))'); exponent
define(`abs', `|($1)|'); absolute value

; Standard trigonometry functions:
define(`sin', `((e^(i*($1))-e^(-i*($1)))/(2i))'); sine
define(`cos', `((e^(i*($1))+e^(-i*($1)))/2)'); cosine
define(`tan', `((e^(i*($1))-e^(-i*($1)))/(i*(e^(i*($1))+e^(-i*($1)))))'); tangent
define(`cot', `(i*(e^(i*($1))+e^(-i*($1)))/(e^(i*($1))-e^(-i*($1))))'); cotangent
define(`sec', `(2/(e^(i*($1))+e^(-i*($1))))'); secant
define(`csc', `(2i/(e^(i*($1))-e^(-i*($1))))'); cosecant

; Hyperbolic trigonometry functions:
define(`sinh', `((e^($1)-e^-($1))/2)')
define(`cosh', `((e^($1)+e^-($1))/2)')
define(`tanh', `((e^($1)-e^-($1))/(e^($1)+e^-($1)))')
define(`coth', `((e^($1)+e^-($1))/(e^($1)-e^-($1)))')
define(`sech', `(2/(e^($1)+e^-($1)))')
define(`csch', `(2/(e^($1)-e^-($1)))')
echo Functions are now available.
